# Class default

#### Hierarchy

- default

#### Implements

- Puttable

- Defined in fs/root/tree.ts:54

#####
Index

### Constructors

constructor

### Properties

dependencies
links
mmpt
prettyTree
privateLog
privateNodes
publicTree
sharedCounter
sharedLinks
LOG_CHUNK_SIZE

### Methods

addPrivateLogEntry
addShares
bumpSharedCounter
findPrivateNode
getVersion
put
putDetailed
setSharedCounter
setVersion
updateLink
updatePuttable
empty
fromCID
getSharedLinks

## Constructors

### constructor

- new default(__namedParameters: {
  dependencies: Dependencies;
  links: SimpleLinks;
  mmpt: default;
  prettyTree: BareTree;
  privateLog: SimpleLink[];
  privateNodes: Record<string, PrivateNode>;
  publicTree: UnixTree & Puttable;
  sharedCounter: number;
  sharedLinks: SimpleLinks;
  }): default

- #### Parameters

  - ##### __namedParameters: {
    dependencies: Dependencies;
    links: SimpleLinks;
    mmpt: default;
    prettyTree: BareTree;
    privateLog: SimpleLink[];
    privateNodes: Record<string, PrivateNode>;
    publicTree: UnixTree & Puttable;
    sharedCounter: number;
    sharedLinks: SimpleLinks;
    }

    - ##### dependencies: Dependencies

    - ##### links: SimpleLinks

    - ##### mmpt: default

    - ##### prettyTree: BareTree

    - ##### privateLog: SimpleLink[]

    - ##### privateNodes: Record<string, PrivateNode>

    - ##### publicTree: UnixTree & Puttable

    - ##### sharedCounter: number

    - ##### sharedLinks: SimpleLinks

  #### Returns default

  - Defined in fs/root/tree.ts:69

## Properties

### dependencies

dependencies: Dependencies

- Defined in fs/root/tree.ts:56

### links

links: SimpleLinks

- Defined in fs/root/tree.ts:58

### mmpt

mmpt: default

- Defined in fs/root/tree.ts:59

### prettyTree

prettyTree: BareTree

- Defined in fs/root/tree.ts:66

### privateLog

privateLog: SimpleLink[]

- Defined in fs/root/tree.ts:60

### privateNodes

privateNodes: Record<string, PrivateNode>

- Defined in fs/root/tree.ts:67

### publicTree

publicTree: UnixTree & Puttable

- Defined in fs/root/tree.ts:65

### sharedCounter

sharedCounter: number

- Defined in fs/root/tree.ts:62

### sharedLinks

sharedLinks: SimpleLinks

- Defined in fs/root/tree.ts:63

### `Static` LOG_CHUNK_SIZE

LOG_CHUNK_SIZE: number = 1020

- Defined in fs/root/tree.ts:284

## Methods

### addPrivateLogEntry

- addPrivateLogEntry(depot: Depot.Implementation, cid: CID<unknown, number, number, Version>): Promise<void>

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### cid: CID<unknown, number, number, Version>

  #### Returns Promise<void>

  - Defined in fs/root/tree.ts:287

### addShares

- addShares(links: SimpleLink[]): Promise<default>

- #### Parameters

  - ##### links: SimpleLink[]

  #### Returns Promise<default>

  - Defined in fs/root/tree.ts:340

### bumpSharedCounter

- bumpSharedCounter(): Promise<number>

- #### Returns Promise<number>

  - Defined in fs/root/tree.ts:407

### findPrivateNode

- findPrivateNode(path: DistinctivePath): [DistinctivePath, null | PrivateNode]

- #### Parameters

  - ##### path: DistinctivePath

  #### Returns [DistinctivePath, null | PrivateNode]

  - Defined in fs/root/tree.ts:272

### getVersion

- getVersion(): Promise<null | SemVer>

- #### Returns Promise<null | SemVer>

  - Defined in fs/root/tree.ts:422

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Implementation of Puttable.put

  - Defined in fs/root/tree.ts:249

### putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  Implementation of Puttable.putDetailed

  - Defined in fs/root/tree.ts:254

### setSharedCounter

- setSharedCounter(counter: number): Promise<number>

- #### Parameters

  - ##### counter: number

  #### Returns Promise<number>

  - Defined in fs/root/tree.ts:390

### setVersion

- setVersion(v: SemVer): Promise<default>

- #### Parameters

  - ##### v: SemVer

  #### Returns Promise<default>

  - Defined in fs/root/tree.ts:416

### updateLink

- updateLink(name: string, result: PutResult): default

- #### Parameters

  - ##### name: string

  - ##### result: PutResult

  #### Returns default

  - Defined in fs/root/tree.ts:258

### updatePuttable

- updatePuttable(name: string, puttable: Puttable): Promise<default>

- #### Parameters

  - ##### name: string

  - ##### puttable: Puttable

  #### Returns Promise<default>

  - Defined in fs/root/tree.ts:264

### `Static` empty

- empty(__namedParameters: {
  accountDID: string;
  dependencies: Dependencies;
  rootKey: Uint8Array;
  wnfsWasm?: boolean;
  }): Promise<default>

- #### Parameters

  - ##### __namedParameters: {
    accountDID: string;
    dependencies: Dependencies;
    rootKey: Uint8Array;
    wnfsWasm?: boolean;
    }

    - ##### accountDID: string

    - ##### dependencies: Dependencies

    - ##### rootKey: Uint8Array

    - ##### `Optional` wnfsWasm?: boolean

  #### Returns Promise<default>

  - Defined in fs/root/tree.ts:101

### `Static` fromCID

- fromCID(__namedParameters: {
  accountDID: string;
  cid: CID<unknown, number, number, Version>;
  dependencies: Dependencies;
  permissions?: Permissions;
  }): Promise<default>

- #### Parameters

  - ##### __namedParameters: {
    accountDID: string;
    cid: CID<unknown, number, number, Version>;
    dependencies: Dependencies;
    permissions?: Permissions;
    }

    - ##### accountDID: string

    - ##### cid: CID<unknown, number, number, Version>

    - ##### dependencies: Dependencies

    - ##### `Optional` permissions?: Permissions

  #### Returns Promise<default>

  - Defined in fs/root/tree.ts:157

### `Static` getSharedLinks

- getSharedLinks(depot: Depot.Implementation, cid: CID<unknown, number, number, Version>): Promise<SimpleLinks>

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### cid: CID<unknown, number, number, Version>

  #### Returns Promise<SimpleLinks>

  - Defined in fs/root/tree.ts:368

Generated using TypeDoc